* {
  /* padding and border are included in the width and height */
  box-sizing: border-box;
}

/* Create variables with global scope */
:root {
  /* 0, 137, 143 */
  --company_color: #00878F;
  --generic_bg_color: #f3f3f3;
  --text_color: gray;
  --text_font: 'Open Sans';
  --text_size: 20px;
}

body {
  background: var(--generic_bg_color);
  font-family: var(--text_font);
  font-size:  var(--text_size);
}

.header_container {
  display: flex;
  flex-direction: row;
}
.header_container img { 
  height: 150px;
}
.header {
  text-align: left;
  color: var(--generic_bg_color);
  font-weight: bold;
  opacity: 1;
  /*border: 1px solid #e7e7e7;*/
  background-color: var(--company_color);
  width: 100%;
}

.header div.title {
  margin-top: 10px;
  margin-left: 20px;
  font-size: 65px;
  font-family: 'Garamond', serif;
}
.header div.subtitle {
  margin-left: 30px;
  font-size: 20px;
  font-family: 'Garamond', serif;
}

.imagecontainer {
  position: relative;
}
.imagecontainer div.imagecontainertext {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--generic_bg_color);
  opacity: 0.8;
  padding: 10px;
  border-radius: 15px;
}
.imagecontainer img { 
  max-width: 100%;
  height: auto;
  opacity: 1;
}

a:link {
  text-decoration: none;
}

a:visited {
  text-decoration: none;
}

a:hover { text-decoration: none; }

a:active { text-decoration: none; }

.topnav {
  overflow: hidden;
  border: 1px solid #e7e7e7;
  background-color: var(--generic_bg_color);
  /*position: -webkit-sticky;*/ /* Safari */
  /*position: sticky;*/
  top: 0;
  /*z-index: 98;*/
}

.topnav a {
  float: left;
  color: black;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
  text-shadow: 1px 1px 1px #f1f1f1;
}

.topnav a:hover {
  background-color: #ddd;
  color: black;
}

.topnav a.active {
  background-color: var(--company_color);
  color: var(--generic_bg_color);
  text-shadow: none;
}

ul.breadcrumb {
  padding: 10px 16px;
  list-style: none;
  background-color: var(--generic_bg_color);
}
ul.breadcrumb li {
  display: inline;
  font-size: 18px;
}
ul.breadcrumb li+li:before {
  padding: 8px;
  color: black;
  content: "/\00a0";
}
ul.breadcrumb li a {
  color: var(--company_color);
  text-decoration: none;
}
ul.breadcrumb li a:hover {
  color: #01447e;
  text-decoration: underline;
}

.column {
  float: left;
  padding: 10px;
}
.column.side {
  width: 30%;
}
.column.middle {
  width: 40%;
}

.contentbar {
  float: left;
  width: 100%;
  background-color: var(--generic_bg_color);
  padding: 20px;
  border-radius: 5px;
  /*box-shadow: 0 0 2px 2px rgba(0,0,0,.05);*/
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  min-height: 175px;
}
.contentbar p {
  color: black;
  text-align: left;
}

.about-column {
  float: left;
  width: 50%;
  padding: 0 10px;
}

.author {
  color: black;
  font-family: 'Brush Script MT', cursive;
  font-size: 24px;
}

.textbox {
  background-color: var(--generic_bg_color);
  padding: 20px;
  margin: 20px;
  border-radius: 5px;
  /*box-shadow: 0 0 2px 2px rgba(0,0,0,.05);*/
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  min-height: 175px;
  min-width: 175px;
}

.textbox hr {
  color: var(--company_color);
  margin-top: 40px;
  margin-bottom: 20px;
}

h1, h2, h3, h4 {
  color: var(--company_color);
  /*margin-left: 2%;
  text-align: center;*/
}

p {
  color: #3c3c3c;
  text-indent: 2px;
  line-height: 1.75;
}

.textbox ul {
  color: var(--text_color);
}

.row-wrapper {
  display: flex;
}

.textcard {
  background-color: var(--generic_bg_color);
  padding: 20px;
  margin: 20px;
  border-radius: 5px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  min-height: 175px;
  min-width: 175px;
}

.textcard h2 {
  color: var(--company_color);
  text-align: justify;
  font-size: 20px;
}

.textcard p {
  color: black;
  text-align: left;
}


.codebox {
  /* adds scrollbars only when necessary */
  overflow:auto;
  background-color: lightgray; /*var(--generic_bg_color);*/
  color: black;/*var(--text_color);*/
  margin: 20px;
  padding: 10px;
  border-radius: 5px;
  text-align: left;
  font-family: 'Courier New', monospace;
  font-size: 0.7em;
  /* Preformatted text */
  white-space: pre;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.imgbox {
  background-color: var(--generic_bg_color);
  padding: 20px;
  margin-top: 20px;
  border-radius: 10px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.imgbox div.textcontainer {
  text-align: center;
  padding: 10px 20px;
}

.blog-topic-container {
  display: flex;
  flex-wrap: wrap;
}
.blog-topic-item-left {
  background-color: var(--generic_bg_color);
  padding: 10px;
  flex: 40%;
}
.blog-topic-item-right {
  background-color: var(--generic_bg_color);
  padding: 10px;
  flex: 60%;
}

.references {
  list-style-type: square;
  color: var(--company_color);
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

.customers {}
.customers img {
  border: 1px solid #ddd;
  border-radius: 4px;
  padding: 30px;
  width: 150px;
  height: auto;
  margin: auto;
}

.scrollable-table {
  overflow:auto;
}
table, th, td {
  border: 1px solid var(--company_color);
  border-collapse: collapse;
  padding: 5px;
}
table.center {
  margin-left: auto;
  margin-right: auto;
}
tr.ctrl {
  background-color:lightgray;
  color:black;
}
tr:hover {
  background-color: var(--company_color);
}

.footer-distributed{
  background: var(--company_color);
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.12);
  width: 100%;
  text-align: left;
  font: bold 16px sans-serif;
  padding: 30px;
  margin-top: 20px;
}

.footer-distributed .footer-left,
.footer-distributed .footer-center,
.footer-distributed .footer-right{
  display: block;
  width: 100%;
  margin-bottom: 20px;
  text-align: center;
  color: var(--generic_bg_color);
}

.footer-distributed .footer-center i{
  margin-left: 0;
}
/*
.footer-distributed .footer-left,
.footer-distributed .footer-center,
.footer-distributed .footer-right{
  display: inline-block;
  vertical-align: top;
  color: var(--generic_bg_color);
}

.footer-distributed .footer-left{
  width: 40%;
}
*/
.footer-distributed h3{
  color:  inherit;
  margin: 0;
}

.footer-distributed p{
  color:  inherit;
}

.footer-distributed .footer-links {
  color:  inherit;
  margin: 20px 0 12px;
  padding: 0;
}

.footer-distributed .footer-links a {
  display:inline-block;
  line-height: 1.8;
  font-weight:400;
  text-decoration: none;
  color:  inherit;
}

.footer-distributed .footer-company-details{
  color:  inherit;
  font-size: 14px;
  font-weight: normal;
  margin: 0;
}
/*
.footer-distributed .footer-center{
  width: 30%;
}
*/
.footer-distributed .footer-center p{
  display: inline-block;
  color:  inherit;
  font-weight:400;
  vertical-align: middle;
  margin:0;
  margin: 10px 15px;
  line-height: 42px;
}

.footer-distributed .footer-center p a{
  color:  inherit;
  text-decoration: none;
}
.footer-distributed .footer-center img{
  float: center;
  width: 24px;
  height: 24px;
  margin-left: 5px;
  margin-right: 5px;
}

.footer-distributed .footer-links a:before {
  content: "|";
  font-weight:300;
  font-size: 20px;
  left: 0;
  color: black;
  display: inline-block;
  padding-right: 5px;
}
/*
.footer-distributed .footer-right{
  width: 20%;
}
*/
.footer-distributed .footer-company-connections{
  line-height: 20px;
  color:  inherit;
  font-size: 13px;
  font-weight: normal;
  margin: 0;
}

.footer-distributed .footer-company-connections span{
  display: block;
  color:  inherit;
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 20px;
}

.footer-distributed .footer-icons{
  margin-top: 15px;
}

.footer-distributed .footer-icons a{
  display: inline-block;
  width: 30px;
  height: 30px;
  cursor: pointer;
  border-radius: 2px;

  font-size: 20px;
  color:  inherit;
  text-align: center;
  line-height: 35px;

  margin-right: 3px;
  margin-bottom: 5px;
}

.footer-distributed .footer-icons img{
  width: 20px;
  height: 20px;
  margin-left: 5px;
}

/* Responsive layout - when the screen is less than 400px wide, make the navigation links stack on top of each other instead of next to each other */
@media screen and (max-width: 400px) {
  .topnav a {
    float: none;
    display: block;
    text-align: left;
    width: 100%;
    margin: 0;
    padding: 14px;
  }
}

@media (max-width: 800px) {
  .column {
    width: 100%;
    display: block;
    margin-bottom: 20px;
  }
  .header div.title {
    font-size: 40px;
  }
  .header div.subtitle {
    font-size: 12px;
  }
  .herotext {
    font-size: 20px;
  }
  .imagecontainer div.imagecontainertext {
	font-size: 14px;
  }
  .blog-topic-item-right, .blog-topic-item-left {
    flex: 100%;
  }
}

@media (max-width: 1280px) {

  .contentbar,
  .column,
  .column.side,
  .column.middle {
    width: 100%;
    padding: 0;
  }
  .row-wrapper {
    display: block;
    width: 100%;
  }

  .footer-distributed{
    font: bold 14px sans-serif;
  }
/*
  .footer-distributed .footer-left,
  .footer-distributed .footer-center,
  .footer-distributed .footer-right{
    display: block;
    width: 100%;
    margin-bottom: 20px;
    text-align: center;
  }

  .footer-distributed .footer-center i{
    margin-left: 0;
  }
*/
  .about-column  {
    width: 100%;
    padding: 0;
  }
}